import { Ref } from 'vue';
export declare type EventTypes = keyof WindowEventMap;
export declare type ElementRef = EventTarget | Window | Document;
export declare type Options = {
    target?: EventTarget | Ref<EventTarget | undefined>;
} & AddEventListenerOptions;
export declare type Listener<E = Event> = {
    (evt: E): void;
};
export declare const useEventListener: (event: string, listener: EventListener, options?: Options) => void;
